Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcctl.cfc.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcctl.cfc.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcctl.cfc.h90	(revision 763)
@@ -1,9 +1,15 @@
-! $Id$
-!!!
-!!! Modifications:
-!!! --------------
-!!!    05-10 (C. Ethe): 
-!!!           assign a parameter to name individual tracers
-!!!
+   !!======================================================================
+   !!                         ***  trcctl.cfc.h90  ***
+   !! TOP :   Control of CFC chemical model
+   !!======================================================================
+   !!----------------------------------------------------------------------
+   !! History :   1.0  !  2005-10 (C. Ethe) assign a parameter to name individual tracers
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
 
       IF(lwp) THEN
@@ -12,9 +18,8 @@
       ENDIF
 
-! Check number of tracers
-! -----------------------
-     
-      IF (jptra .GT. 2) THEN 
-          IF (lwp) THEN 
+      ! Check number of tracers
+      ! -----------------------   
+      IF( jptra > 2) THEN 
+          IF(lwp) THEN 
               WRITE (numout,*) ' ===>>>> : w a r n i n g '
               WRITE (numout,*) ' =======   ============= '
@@ -25,35 +30,35 @@
       END IF 
 
-! Check tracer names
-! ------------------
-      IF ( jptra == 1 ) THEN
+      ! Check tracer names
+      ! ------------------
+      IF( jptra == 1 ) THEN
          IF ( jp11 == 1 ) THEN
             IF ( ctrcnm(jp11) /= 'CFC11') THEN
-               ctrcnm(jp11)='CFC11'
-               ctrcnl(jp11)='Chlorofuorocarbone 11 concentration'
+               ctrcnm(jp11) = 'CFC11'
+               ctrcnl(jp11) = 'Chlorofuorocarbone 11 concentration'
             ENDIF
          ENDIF
-         IF ( jp12 == 1 ) THEN
+         IF( jp12 == 1 ) THEN
             IF ( ctrcnm(jp12) /= 'CFC12') THEN
-               ctrcnm(jp12)='CFC12'
-               ctrcnl(jp12)='Chlorofuorocarbone 12 concentration'
+               ctrcnm(jp12) = 'CFC12'
+               ctrcnl(jp12) = 'Chlorofuorocarbone 12 concentration'
             ENDIF
          ENDIF
       ENDIF
 
-      IF ( jptra == 2 ) THEN
+      IF( jptra == 2 ) THEN
          IF ( ctrcnm(jp11) /= 'CFC11' .OR. ctrcnm(jp12) /= 'CFC12' ) THEN 
-            ctrcnm(jp11)='CFC11'
-            ctrcnl(jp11)='Chlorofuorocarbone 11 concentration'
-            ctrcnm(jp12)='CFC12'
-            ctrcnl(jp12)='Chlorofuorocarbone 12 concentration' 
+            ctrcnm(jp11) = 'CFC11'
+            ctrcnl(jp11) = 'Chlorofuorocarbone 11 concentration'
+            ctrcnm(jp12) = 'CFC12'
+            ctrcnl(jp12) = 'Chlorofuorocarbone 12 concentration' 
          ENDIF
       ENDIF
 
-      IF (lwp) THEN
+      IF(lwp) THEN
          WRITE (numout,*) ' ===>>>> : w a r n i n g '
          WRITE (numout,*) ' =======   ============= '
          WRITE (numout,*) ' we force tracer names'
-         DO jn=1,jptra
+         DO jn = 1, jptra
             WRITE(numout,*) ' tracer nb: ',jn,' name = ',ctrcnm(jn), ctrcnl(jn)
          END DO
@@ -62,16 +67,16 @@
 
 
-! Check tracer units
-
-      DO jn=1,jptra
-        IF (ctrcun(jn) /= 'mole/m3') THEN
-            ctrcun(jn)='mole/m3'
-            IF (lwp) THEN
-                WRITE (numout,*) ' ===>>>> : w a r n i n g '
-                WRITE (numout,*) ' =======   ============= '
-                WRITE (numout,*) ' we force tracer unit'
-                WRITE(numout,*) ' tracer  ',ctrcnm(jn), 'UNIT= ',ctrcun(jn)
-                WRITE(numout,*) ' '
+      ! Check tracer units
+      ! ------------------
+      DO jn = 1, jptra
+        IF( ctrcun(jn) /= 'mole/m3' ) THEN
+            ctrcun(jn) = 'mole/m3'
+            IF(lwp) THEN
+               WRITE (numout,*) ' ===>>>> : w a r n i n g '
+               WRITE (numout,*) ' =======   ============= '
+               WRITE (numout,*) ' we force tracer unit'
+               WRITE(numout,*) ' tracer  ',ctrcnm(jn), 'UNIT= ',ctrcun(jn)
+               WRITE(numout,*) ' '
             ENDIF 
-        ENDIF 
+         ENDIF 
       END DO              
Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcctl.lobster1.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcctl.lobster1.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcctl.lobster1.h90	(revision 763)
@@ -1,22 +1,20 @@
-!!----------------------------------------------------------------------
-!!  TOP 1.0,  LOCEAN-IPSL (2005)
-!! $Header$
-!! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
-!!----------------------------------------------------------------------
-!!!
-!!! Modifications:
-!!! --------------
-!!!    00-12 (E. Kestenare): 
-!!!           assign a parameter to name individual tracers
-!!!
+   !!======================================================================
+   !!                         ***  trcctl.lobster1.h90  ***
+   !! TOP :   Control of LOBSTER 1 biological model
+   !!======================================================================
+   !!----------------------------------------------------------------------
+   !! History :   1.0  !  2000-12 (E. Kestenare) assign a parameter to name individual tracers
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
-#if defined key_trc_lobster1
-      IF(lwp) THEN
-          WRITE(numout,*) ' use LOBSTER1 biological model '
-          WRITE(numout,*) ' '
-      ENDIF
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) ' use LOBSTER1 biological model '
 
-! Check number of tracers
-! -----------------------
+      ! Check number of tracers
+      ! -----------------------
       IF (jptra /= 6) THEN 
           IF (lwp) THEN 
@@ -30,51 +28,48 @@
       END IF 
 
-! Check tracer names
-! ------------------
-      IF (    ctrcnm(jpdet) /= 'DET' .OR. ctrcnm(jpzoo) /= 'ZOO'     &
-         & .OR. ctrcnm(jpphy) /= 'PHY' .OR. ctrcnm(jpno3) /= 'NO3'   &
-         & .OR. ctrcnm(jpnh4) /= 'NH4' .OR. ctrcnm(jpdom) /= 'DOM'   & 
-         & .OR. ctrcnl(jpdet) /= 'Detritus'                          &
-         & .OR. ctrcnl(jpzoo) /= 'Zooplankton concentration'         &
-         & .OR. ctrcnl(jpphy) /= 'Phytoplankton concentration'       &
-         & .OR. ctrcnl(jpno3) /= 'Nitrate concentration'             &
-         & .OR. ctrcnl(jpnh4) /= 'Ammonium concentration'            &
-         & .OR. ctrcnl(jpdom) /= 'Dissolved organic matter' ) THEN 
-          ctrcnm(jpdet)='DET'
-          ctrcnl(jpdet)='Detritus'
-          ctrcnm(jpzoo)='ZOO'
-          ctrcnl(jpzoo)='Zooplankton concentration'
-          ctrcnm(jpphy)='PHY'
-          ctrcnl(jpphy)='Phytoplankton concentration'
-          ctrcnm(jpno3)='NO3'
-          ctrcnl(jpno3)='Nitrate concentration'
-          ctrcnm(jpnh4)='NH4'
-          ctrcnl(jpnh4)='Ammonium concentration'
-          ctrcnm(jpdom)='DOM'
-          ctrcnl(jpdom)='Dissolved organic matter'          
-          IF (lwp) THEN
-              WRITE (numout,*) ' ===>>>> : w a r n i n g '
-              WRITE (numout,*) ' =======   ============= '
-              WRITE (numout,*) ' we force tracer names'
-              DO jn=1,jptra
-                WRITE(numout,*) ' tracer nb: ',jn,' name = ',ctrcnm(jn), ctrcnl(jn)
-              END DO
-              WRITE(numout,*) ' '
-          ENDIF 
+      ! Check tracer names
+      ! ------------------
+      IF(   ctrcnm(jpdet) /= 'DET' .OR. ctrcnm(jpzoo) /= 'ZOO' .OR.   &
+         &  ctrcnm(jpphy) /= 'PHY' .OR. ctrcnm(jpno3) /= 'NO3' .OR.   &
+         &  ctrcnm(jpnh4) /= 'NH4' .OR. ctrcnm(jpdom) /= 'DOM' .OR.   & 
+         &  ctrcnl(jpdet) /= 'Detritus'                        .OR.   &
+         &  ctrcnl(jpzoo) /= 'Zooplankton concentration'       .OR.   &
+         &  ctrcnl(jpphy) /= 'Phytoplankton concentration'     .OR.   &
+         &  ctrcnl(jpno3) /= 'Nitrate concentration'           .OR.   &
+         &  ctrcnl(jpnh4) /= 'Ammonium concentration'          .OR.   &
+         &  ctrcnl(jpdom) /= 'Dissolved organic matter' ) THEN 
+         ctrcnm(jpdet)='DET'
+         ctrcnl(jpdet)='Detritus'
+         ctrcnm(jpzoo)='ZOO'
+         ctrcnl(jpzoo)='Zooplankton concentration'
+         ctrcnm(jpphy)='PHY'
+         ctrcnl(jpphy)='Phytoplankton concentration'
+         ctrcnm(jpno3)='NO3'
+         ctrcnl(jpno3)='Nitrate concentration'
+         ctrcnm(jpnh4)='NH4'
+         ctrcnl(jpnh4)='Ammonium concentration'
+         ctrcnm(jpdom)='DOM'
+         ctrcnl(jpdom)='Dissolved organic matter'          
+         IF(lwp) THEN
+            WRITE (numout,*) ' ===>>>> : w a r n i n g '
+            WRITE (numout,*) ' =======   ============= '
+            WRITE (numout,*) ' we force tracer names'
+            DO jn = 1, jptra
+               WRITE(numout,*) ' tracer nb: ',jn,' name = ',ctrcnm(jn), ctrcnl(jn)
+            END DO
+            WRITE(numout,*) ' '
+         ENDIF 
       ENDIF 
 
-! Check tracer units
-
-      DO jn=1,jptra
-        IF (ctrcun(jn) /= 'mmole-N/m3') THEN
+      ! Check tracer units
+      DO jn = 1, jptra
+         IF( ctrcun(jn) /= 'mmole-N/m3') THEN
             ctrcun(jn)='mmole-N/m3'
-            IF (lwp) THEN
-                WRITE (numout,*) ' ===>>>> : w a r n i n g '
-                WRITE (numout,*) ' =======   ============= '
-                WRITE (numout,*) ' we force tracer unit'
-                WRITE(numout,*) ' tracer  ',ctrcnm(jn), 'UNIT= ',ctrcun(jn)
-                WRITE(numout,*) ' '
+            IF(lwp) THEN
+               WRITE (numout,*) ' ===>>>> : w a r n i n g '
+               WRITE (numout,*) ' =======   ============= '
+               WRITE (numout,*) ' we force tracer unit'
+               WRITE(numout,*) ' tracer  ',ctrcnm(jn), 'UNIT= ',ctrcun(jn)
             ENDIF 
-        ENDIF 
+         ENDIF 
       END DO              
-#endif
Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcctl.pisces.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcctl.pisces.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcctl.pisces.h90	(revision 763)
@@ -1,19 +1,24 @@
+   !!======================================================================
+   !!                         ***  trcctl.cfc.h90  ***
+   !! TOP :   Control of CFC chemical model
+   !!======================================================================
+   !!----------------------------------------------------------------------
+   !! History :   1.0  !  2005-10 (C. Ethe) assign a parameter to name individual tracers
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
-   !!----------------------------------------------------------------------
-   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
-#if defined key_trc_pisces
+      IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) ' use PISCES biological model '
-      IF(lwp) WRITE(numout,*) ' '
 
    ! Check number of tracers
    ! -----------------------
-
 #if  defined key_trc_kriest
-      IF (jptra /= 23) THEN 
+      IF( jptra /= 23) THEN 
 #else
-      IF (jptra /= 24) THEN
+      IF( jptra /= 24) THEN
 #endif
           IF (lwp) THEN 
@@ -26,3 +31,3 @@
           STOP 'TRC_CTL'
       END IF 
-#endif
+      
Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcfreons.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcfreons.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcfreons.F90	(revision 763)
@@ -1,12 +1,17 @@
 MODULE trcfreons
-   !!==============================================================
-   !!                  ***  MODULE trcfreons  ***
-   !!  Passive tracer : CFC main model
-   !!==============================================================
+   !!======================================================================
+   !!                      ***  MODULE trcfreons  ***
+   !! TOP : CFC main model
+   !!======================================================================
+   !! History :    -   !  1999-10  (JC. Dutay)  original code
+   !!             1.0  !  2004-03 (C. Ethe) free form + modularity
+   !!----------------------------------------------------------------------
 #if defined key_cfc
-   !!--------------------------------------------------------------
-   !!   'key_cfc'                                         CFC model
-   !!--------------------------------------------------------------
-   !! * Modules used   
+   !!----------------------------------------------------------------------
+   !!   'key_cfc'                                        CFC chemical model
+   !!----------------------------------------------------------------------
+   !!   trc_freons     :  compute and add CFC suface forcing to CFC trends
+   !!   trc_freons_cst :  sets constants for CFC surface forcing computation
+   !!----------------------------------------------------------------------
    USE daymod
    USE sms
@@ -14,32 +19,25 @@
    USE trc
 
-
    IMPLICIT NONE
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC trc_freons        
-
-   !! * Module variables
-   REAL(wp), DIMENSION(jptra) :: & ! coefficient for solubility of CFC11 in  mol/l/atm
-      soa1, soa2, soa3, soa4, &
-      sob1, sob2, sob3
-
-   REAL(wp), DIMENSION(jptra) :: & ! coefficients for schmidt number in degre Celcius
-      sca1, sca2, sca3, sca4
-
-   REAL(wp) ::              & ! coefficients for conversion
-      xconv1 = 1.0       ,  & ! conversion from to 
-      xconv2 = 0.01/3600.,  & ! conversion from cm/h to m/s: 
-      xconv3 = 1.0e+3    ,  & ! conversion from mol/l/atm to mol/m3/atm
-      xconv4 = 1.0e-12        ! conversion from mol/m3/atm to mol/m3/pptv 
+   PUBLIC   trc_freons       ! called in ???    
+
+   REAL(wp), DIMENSION(jptra) ::   soa1, soa2, soa3, soa4   ! coefficient for solubility of CFC [mol/l/atm]
+   REAL(wp), DIMENSION(jptra) ::   sob1, sob2, sob3         !    "               "
+   REAL(wp), DIMENSION(jptra) ::   sca1, sca2, sca3, sca4   ! coefficients for schmidt number in degre Celcius
+      
+   !                          ! coefficients for conversion
+   REAL(wp) ::   xconv1 = 1.0          ! conversion from to 
+   REAL(wp) ::   xconv2 = 0.01/3600.   ! conversion from cm/h to m/s: 
+   REAL(wp) ::   xconv3 = 1.0e+3       ! conversion from mol/l/atm to mol/m3/atm
+   REAL(wp) ::   xconv4 = 1.0e-12      ! conversion from mol/m3/atm to mol/m3/pptv 
 
    !! * Substitutions
 #  include "passivetrc_substitute.h90"
-
-   !!----------------------------------------------------------------------
-   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -62,38 +60,20 @@
       !!          - the input function is in pico-mol/m3/s and the
       !!            freons concentration in pico-mol/m3
-      !!
-      !! History :
-      !!   8.1  !  99-10  (JC. Dutay)  original code
-      !!   9.0  !  04-03  (C. Ethe)  free form + modularity
       !!----------------------------------------------------------------------
-      !! * Arguments
       INTEGER, INTENT( in ) ::   kt    ! ocean time-step index
-
-      !! * Local declarations
-      INTEGER ::  &
-         ji, jj, jn, jm
-
-      INTEGER ::   &
-         iyear_beg, iyear_end, &
-         imonth, im1, im2
-
-      REAL(wp) :: &
-         ztap, zdtap, &
-         zt1, zt2, zt3, zv2
-
-      REAL(wp), DIMENSION(jphem,jptra)   ::  &   
-         zpatm       ! atmospheric function
-
-      REAL(wp) ::  & 
-         zsol,     & ! solubility
-         zsch        ! schmidt number 
-
+      !!
+      INTEGER ::   ji, jj, jn, jm
+      INTEGER ::   iyear_beg, iyear_end
+      INTEGER ::   imonth, im1, im2
+
+      REAL(wp) ::   ztap, zdtap        
+      REAL(wp) ::   zt1, zt2, zt3, zv2
+      REAL(wp) ::   zsol   ! solubility
+      REAL(wp) ::   zsch   ! schmidt number 
       
-      REAL(wp), DIMENSION(jpi,jpj,jptra)   ::  & 
-         zca_cfc,  & ! concentration
-         zak_cfc     ! transfert coefficients
-
+      REAL(wp), DIMENSION(jphem,jptra) ::   zpatm       ! atmospheric function
+      REAL(wp), DIMENSION(jpi,jpj,jptra) ::   zca_cfc   ! concentration
+      REAL(wp), DIMENSION(jpi,jpj,jptra) ::   zak_cfc   ! transfert coefficients
       !!----------------------------------------------------------------------
-
 
       IF( kt == nittrc000 )   CALL trc_freons_cst
@@ -117,6 +97,4 @@
 
 
-
-
       !  Temporal and spatial interpolation at time k
       ! --------------------------------------------------
@@ -125,15 +103,11 @@
             zpatm(jm,jn) = (  p_cfc(iyear_beg, jm, jn) * FLOAT (im1)  &
                &           +  p_cfc(iyear_end, jm, jn) * FLOAT (im2) ) / 12.
-         ENDDO
-      END DO
-
-      DO jn = 1, jptra
-         DO jj = 1, jpj 
-            DO ji = 1, jpi
-               pp_cfc(ji,jj,jn) =     xphem(ji,jj)   * zpatm(1,jn)  &
-                  &           + ( 1.- xphem(ji,jj) ) * zpatm(2,jn)
-            END DO
-         END DO
-      ENDDO
+         END DO
+      END DO
+
+      DO jn = 1, jptra
+         pp_cfc(:,:,jn) =       xphem(:,:)   * zpatm(1,jn)   &
+            &           + ( 1.- xphem(:,:) ) * zpatm(2,jn)
+      END DO
 
 
@@ -160,5 +134,5 @@
             END DO
          END DO
-      ENDDO
+      END DO
 
   
@@ -181,5 +155,5 @@
             END DO
          END DO
-      ENDDO
+      END DO
 
 
@@ -199,5 +173,5 @@
             END DO
          END DO
-      ENDDO
+      END DO
 
 
@@ -212,5 +186,5 @@
             END DO
          END DO
-      ENDDO
+      END DO
 
       ! --------------------------------------------
@@ -223,8 +197,8 @@
             END DO
          END DO
-      ENDDO
-
-
+      END DO
+      !
    END SUBROUTINE trc_freons
+
 
    SUBROUTINE trc_freons_cst
@@ -232,18 +206,8 @@
       !!                     ***  trc_freons_cst  ***  
       !!
-      !!   Purpose : sets constants for CFC model
-      !!  ---------
-      !!
-      !!
-      !! History :
-      !!   8.2  !  04-06  (JC. Dutay)  original code
-      !!   9.0  !  05-10  (C. Ethe) Modularity 
+      !! ** Purpose : sets constants for CFC model
       !!---------------------------------------------------------------------
-      !!  TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-      !!----------------------------------------------------------------
-      !! Local declarations
-      INTEGER :: jn
+      INTEGER ::   jn
+      !!---------------------------------------------------------------------
 
       DO jn = 1, jptra
@@ -290,10 +254,11 @@
          WRITE(numout,*) 'coefficient for schmidt of tracer',ctrcnm(jn)
          WRITE(numout,*) sca1(jn), sca2(jn),sca3(jn), sca4(jn)
-      ENDDO
-
+      END DO
+      !
    END SUBROUTINE trc_freons_cst
+   
 #else
    !!----------------------------------------------------------------------
-   !!   Default option                                         Dummy module
+   !!   Dummy module                                           No CFC model
    !!----------------------------------------------------------------------
 CONTAINS
Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcini.cfc.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcini.cfc.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trcini.cfc.h90	(revision 763)
@@ -1,47 +1,40 @@
+   !!======================================================================
+   !!                         ***  trcini.cfc.h90  ***
+   !! TOP :   Initialisation of CFC chemical model
+   !!======================================================================
+   !! History :    -   !  2004-06  (JC. Dutay) Original code
+   !!             1.0  !  2005-03  (O. Aumont, A. El Moussaoui) F90
+   !!              -   !  2005-10  (C. Ethe) Modularity
    !!----------------------------------------------------------------------
-   !!                    ***  trcini.cfc.h90 ***
+
+   CHARACTER (len=34) ::   clname = 'cfc1112.atm' ! ???
+
+   INTEGER  ::   inum                   ! unit number
+   REAL(wp) ::   ylats = -10.           ! 10 degrees south
+   REAL(wp) ::   ylatn =  10.           ! 10 degrees north
+
    !!----------------------------------------------------------------------
-   !! * Module variables
-   INTEGER  ::  &
-      inum                   ! unit number
-   CHARACTER (len=34) :: &
-      clname = 'cfc1112.atm' ! ???
-   REAL(wp) ::  &
-      ylats = -10.,    &     ! 10 degrees south
-      ylatn =  10.           ! 10 degrees north
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
 CONTAINS
 
    SUBROUTINE trc_ini
-      !!---------------------------------------------------------------------
+      !!----------------------------------------------------------------------
       !!                     ***  trcini.cfc.h90  ***  
       !!
-      !!   Purpose : special initialization for cfc model
-      !!  ---------
-      !!
-      !!
-      !! History :
-      !!   8.2  !  04-06  (JC. Dutay)  original code
-      !!   8.5  !  05-03  (O. Aumont and A. El Moussaoui F90
-      !!   9.0  !  05-10  (C. Ethe) Modularity 
-      !!---------------------------------------------------------------------
-      !!  TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-      !!---------------------------------------------------------------------
-      !! Local declarations
-      INTEGER  :: ji, jj, jn, jl, jm
-      REAL(wp) :: zyy,  zyd
+      !! ** Purpose : special initialization for cfc model
+      !!----------------------------------------------------------------------
+      INTEGER  ::   ji, jj, jn, jl, jm
+      REAL(wp) ::   zyy,  zyd
+      !!----------------------------------------------------------------------
 
-   
-      !
       ! Initialization of boundaries conditions
       ! --------------------------------------- 
-
-      pp_cfc(:,:,:) = 0.0
-      qtr  (:,:,:) = 0.0
-      xphem(:,:  ) = 0.0
-
- 
+      pp_cfc(:,:,:) = 0.e0
+      qtr   (:,:,:) = 0.e0
+      xphem (:,:)   = 0.e0
       DO jn = 1, jptra
          DO jm = 1, jphem
@@ -50,5 +43,5 @@
             END DO
          END DO
-      ENDDO
+      END DO
       
       
@@ -61,14 +54,9 @@
          ENDIF
          DO jn = 1, jptra
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  qint(ji,jj,jn) = 0.
-               END DO
-            END DO
-         ENDDO
+            qint(:,:,jn) = 0.e0
+         END DO
       ENDIF
 
 
-      !
       !   READ CFC partial pressure atmospheric value :
       !     p11(year,nt) = PCFC11  in northern (1) and southern (2) hemisphere 
@@ -127,13 +115,10 @@
       DO jj = 1 , jpj
          DO ji = 1 , jpi
-            IF( gphit(ji,jj) .GE. ylatn ) THEN
-               xphem(ji,jj) = 1.
-            ELSE IF (gphit(ji,jj) .LE. ylats) THEN
-               xphem(ji,jj) = 0.
-            ELSE 
-               xphem(ji,jj) = ( gphit(ji,jj) - ylats) / zyd
+            IF(     gphit(ji,jj) >= ylatn ) THEN   ;   xphem(ji,jj) = 1.e0
+            ELSEIF( gphit(ji,jj) <= ylats ) THEN   ;   xphem(ji,jj) = 0.e0
+            ELSE                                   ;   xphem(ji,jj) = ( gphit(ji,jj) - ylats) / zyd
             ENDIF
          END DO
       END DO
-
+      !
    END SUBROUTINE trc_ini
